安装和配置Swoole Loader(RiPro主题 PHP7.1 需部署支持Swoole Compiler)

今天老蒋在帮助网友处理WordPress网站兼容插件的问题,我通过更换PHP版本来给解决,但是在更换PHP7.1之后,网站打不开,他采用的是RIPRO主题,是需要支持Swoole Loader。我们需要给当前PHP7.1配置支持Swoole Compiler才可以。

安装和配置Swoole Loader(RiPro主题 PHP7.1 需部署支持Swoole Compiler)

这里我们可以看到报错。然后我们可以根据向导去部署Swoole Compiler。

1、下载扩展支持

这里我们需要下载支持PHP7.1的扩展Swoole Loader

地址:https://business.swoole.com/static/loader2.1.0/swoole_loader71.so

2、扩展目录存储

将上面的so文件放到对应的目录中。"/www/server/php/71/lib/php/extensions/no-debug-non-zts-20160303"

3、修改php.ini配置

找到"/www/server/php/71/etc/php.ini"然后在最后一行添加。

extension=swoole_loader71.so

最后,我们重启PHP或者重启服务器然后可以看到已经安装和配置Swoole Loader,可以正常打开网站。

本文出处:老蒋部落 » 安装和配置Swoole Loader(RiPro主题 PHP7.1 需部署支持Swoole Compiler) | 欢迎分享( 公众号:老蒋玩运营 )